Debian Bug report logs - #418776
RFP: sbbs -- Synchronet Bulletin Board System software

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dario Minnucci <midget@debian.org>

Date: Wed, 11 Apr 2007 20:33:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, dario minnucci <debian@midworld.net>:
Bug#418776; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Dario Minnucci <debian@midworld.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, dario minnucci <debian@midworld.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dario Minnucci <debian@midworld.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: synchronet -- Synchronet Bulletin Board System Software
Date: Wed, 11 Apr 2007 22:30:49 +0200
Package: wnpp
Severity: wishlist
Owner: Dario Minnucci <debian@midworld.net>

* Package name    : synchronet
  Version         : 3.14a
  Upstream Author : Rob Swindell <digital.man@vert.synchro.net>
* URL             : http://www.synchro.net/
* License         : GPL
  Programming Lang: C++
  Description     : Synchronet Bulletin Board System Software

Synchronet Bulletin Board System Software is a free software package
that can turn your personal computer into your own custom online service
supporting multiple simultaneous users with hierarchical message and file
areas, multi-user chat, and the ever-popular BBS door games.

In November of 1999, the author found a renewed interest in further developing
Synchronet, specifically for the Internet community, embracing and integrating
standard Internet protocols such as Telnet, FTP, SMTP, POP3, IRC, NNTP, and HTTP.

Synchronet has since been substantially redesigned as an Internet-only BBS package
for Win32 and Unix-x86 platforms and is an Open Source project under continuous
development.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.20.4 (PREEMPT)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash



Changed Bug title to ITP: sbbs -- Synchronet Bulletin Board System software from ITP: synchronet -- Synchronet Bulletin Board System Software. Request was from Dario Minnucci <debian@midworld.net> to control@bugs.debian.org. (Wed, 18 Apr 2007 21:15:03 GMT) Full text and rfc822 format available.

Changed Bug title to `RFP: sbbs -- Synchronet Bulletin Board System software' from `ITP: sbbs -- Synchronet Bulletin Board System software'. Request was from "Dario Minnucci (midget)" <debian@midworld.net> to control@bugs.debian.org. (Fri, 07 Dec 2007 10:48:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by dario minnucci <debian@midworld.net>. Request was from "Dario Minnucci (midget)" <debian@midworld.net> to control@bugs.debian.org. (Fri, 07 Dec 2007 10:48:05 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: sbbs -- Synchronet Bulletin Board System software' from `RFP: sbbs -- Synchronet Bulletin Board System software'. Request was from Robert James Clay <jame@rocasa.org> to control@bugs.debian.org. (Wed, 27 Feb 2008 01:09:06 GMT) Full text and rfc822 format available.

Owner recorded as Robert James Clay <jame@rocasa.org>. Request was from Robert James Clay <jame@rocasa.org> to control@bugs.debian.org. (Wed, 27 Feb 2008 01:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#418776; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert James Clay <jame@rocasa.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 418776@bugs.debian.org (full text, mbox):

From: Robert James Clay <jame@rocasa.org>
To: 418776@bugs.debian.org
Subject: Synchronet versions
Date: Wed, 16 Apr 2008 20:41:20 -0400
    Note that although the last stable version of Synchronet was  
v3.14a, the Linux version of that does not compile (reference, for  
instance,  http://rocasa.org/syncdeb/ticket/4).  i have therefore  
been working on packaging v3.15a, which is currently under development.

Information regarding my work in progress is available at:

 svn://rocasa.org/syncdeb/synchronet
 http://rocasa.org/syncdeb


Robert James Clay
jame@rocasa.org







Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#418776; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert James Clay <jame@rocasa.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 418776@bugs.debian.org (full text, mbox):

From: Robert James Clay <jame@rocasa.org>
To: 418776@bugs.debian.org
Subject: Update to ITP bug
Date: Sat, 3 May 2008 08:51:45 -0400
Switched back to working on initial packaging for v3.14a after being  
advised of a usable source archive for that version.   A 'package  
source archive' still needs to be created because that 'source  
archive' does not include the runtime files and directories, only the  
source;  but it does compile.

Robert James Clay
jame@rocasa.org
http://rocasa.org/syncdeb







Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Robert James Clay <jame@rocasa.org>:
Bug#418776; Package wnpp. (Fri, 09 Oct 2009 19:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dario Minnucci (midget)" <debian@midworld.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Robert James Clay <jame@rocasa.org>. (Fri, 09 Oct 2009 19:12:06 GMT) Full text and rfc822 format available.

Message #30 received at 418776@bugs.debian.org (full text, mbox):

From: "Dario Minnucci (midget)" <debian@midworld.net>
To: 418776@bugs.debian.org
Subject: about sbbs status
Date: Fri, 09 Oct 2009 20:55:17 +0200
[Message part 1 (text/plain, inline)]
Is there any progress on this package?

Cheers.

--=20
 Dario Minnucci (midget) <debian@midworld.net>
 Phone: +34 902021030 | Fax: +34 902024417 | Support: +34 807450000
 Key fingerprint =3D 62FF F60F CE79 9CE4 EBA8  523F FC84 1B2D 82C8 B711


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#418776; Package wnpp. (Sun, 18 Oct 2009 15:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert James Clay <jame@rocasa.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 18 Oct 2009 15:54:08 GMT) Full text and rfc822 format available.

Message #35 received at 418776@bugs.debian.org (full text, mbox):

From: Robert James Clay <jame@rocasa.org>
To: "Dario Minnucci (midget)" <debian@midworld.net>, 418776@bugs.debian.org
Subject: Re: Bug#418776: about sbbs status
Date: Sun, 18 Oct 2009 11:39:00 -0400
On Oct 9, 2009, at 2:55 PM, Dario Minnucci (midget) wrote:

> Is there any progress on this package?


      Yes, there has been.  I also intend to pursue it further but  
that is pending a change over to using a git repository for the  
Debian packaging.


Robert James Clay
jame@rocasa.org, jame@rocasa.us
http://rocasa.org/syncdeb






Changed Bug submitter to 'Dario Minnucci <midget@debian.org>' from 'Dario Minnucci <debian@midworld.net>' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Tue, 12 Jan 2010 18:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Robert James Clay <jame@rocasa.org>:
Bug#418776; Package wnpp. (Mon, 14 Feb 2011 01:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dario Minnucci <midget@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Robert James Clay <jame@rocasa.org>. (Mon, 14 Feb 2011 01:12:03 GMT) Full text and rfc822 format available.

Message #42 received at 418776@bugs.debian.org (full text, mbox):

From: Dario Minnucci <midget@debian.org>
To: 418776@bugs.debian.org
Subject: Re: ITP: sbbs -- Synchronet Bulletin Board System software
Date: Mon, 14 Feb 2011 01:59:19 +0100
[Message part 1 (text/plain, inline)]
Hi Robert,

>> Is there any progress on this package?
>
> Yes, there has been.  I also intend to pursue it further but
> that is pending a change over to using a git repository for the
> Debian packaging.
>


Is there any git repository available for cloning?

Regards,


-- 
 Dario Minnucci <midget@debian.org>
 Phone: +34 902021030 | Fax: +34 902024417
 Key fingerprint = BAA1 7AAF B21D 6567 D457  D67D A82F BB83 F3D5 7033


[signature.asc (application/pgp-signature, attachment)]

Owner changed from Robert James Clay <jame@rocasa.org> to "RJ Clay" <jame@rocasa.us>. Request was from "RJ Clay" <jame@rocasa.us> to control@bugs.debian.org. (Wed, 17 Aug 2011 20:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "RJ Clay" <jame@rocasa.us>:
Bug#418776; Package wnpp. (Tue, 30 Aug 2011 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jame@rocasa.us:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "RJ Clay" <jame@rocasa.us>. (Tue, 30 Aug 2011 18:27:03 GMT) Full text and rfc822 format available.

Message #49 received at 418776@bugs.debian.org (full text, mbox):

From: Robert James Clay <jame@rocasa.us>
To: 418776@bugs.debian.org
Subject: Git repository for Synchronet BBS Debian package
Date: Tue, 30 Aug 2011 18:18:13 +0000
All,

   A GIT repository for Synchronet BBS Debian packaging is available at
GitHub as follows:

Git Read-Only	git://github.com/jame/pkg-sbbs.git
Browse		http://github.com/jame/pkg-sbbs

Home Page	http://rocasa.org/pkg-sbbs


Robert James Clay
jame@rocasa.us






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "RJ Clay" <jame@rocasa.us>:
Bug#418776; Package wnpp. (Tue, 01 May 2012 00:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to jame@rocasa.us:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "RJ Clay" <jame@rocasa.us>. (Tue, 01 May 2012 00:15:02 GMT) Full text and rfc822 format available.

Message #54 received at 418776@bugs.debian.org (full text, mbox):

From: Robert James Clay <jame@rocasa.us>
To: 418776@bugs.debian.org
Subject: Change SBBS ITP back to an RFP
Date: Mon, 30 Apr 2012 20:05:32 -0400
retitle 418776 RTP: sbbs -- Synchronet Bulletin Board System software
noowner 418776
thanks

Synchronet is still under active development but for various reasons is
not yet ready to be packaged for Debian, so I am changing this from an
ITP back to being an RFP.

Note that besides the git repository already mentioned, I also have a
repository for a debian package that can provide the prerequisites
needed to compile Synchronet as well as example scripts and debian
directories.  I will be updating it periodically as I can. It is
available as follows:

http://rocasa.org/sbbsdev/index.html
http://github.com/jame/sbbsdev



RJ Clay
jame@rocasa.us









Changed Bug title to 'RTP: sbbs -- Synchronet Bulletin Board System software' from 'ITP: sbbs -- Synchronet Bulletin Board System software' Request was from Robert James Clay <jame@rocasa.us> to control@bugs.debian.org. (Tue, 01 May 2012 00:24:07 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "RJ Clay" <jame@rocasa.us>. Request was from Robert James Clay <jame@rocasa.us> to control@bugs.debian.org. (Tue, 01 May 2012 00:24:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: sbbs -- Synchronet Bulletin Board System software' from 'RTP: sbbs -- Synchronet Bulletin Board System software' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 03 Jun 2012 13:27:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#418776; Package wnpp. (Thu, 11 Oct 2012 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jame@rocasa.us:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 11 Oct 2012 18:12:03 GMT) Full text and rfc822 format available.

Message #65 received at 418776@bugs.debian.org (full text, mbox):

From: Robert James Clay <jame@rocasa.us>
To: Dario Minnucci <midget@debian.org>, 418776@bugs.debian.org
Cc: jame/pkg-sbbs <reply+i-7196186-7640e5231786f29a7866f001b2517c605bb707d4-275640@reply.github.com>
Subject: Re: [pkg-sbbs] pkg-sbbs cannot be built via git-buildpackage (#1)
Date: Thu, 11 Oct 2012 14:02:09 -0400
Hi Dario!

On Thu, 2012-09-27 at 16:13 -0400, Dario Minnucci wrote:

> First of all, thanks for this packaging effort.

  You're quite welcome!


> I tried to build the Debian package by cloning the repository and
> executing:
> 
> git-buildpackage -us -uc -sa

  That's basically what I used...


> But it seems there is a missing buid dependency on a package which is
> not in the official repository.
> 
> dpkg-checkbuilddeps: Unmet build dependencies: sblibs-dev
> 
> Can you provide any hint on this issue?

   As I noted in an update to the issue[1] at the pkg-sbbs project[2],
the package build directory for sblibs-dev is in the sbbsdev
repository[3], for instance in the path prj/sblibs/v314 or
prj/sblibs/v315.

   I've been thinking, though, that the usage and dependency on the
cryptlib library should be removed from the package build altogether.  
According to the documentation[4], it's only used for ssh2 support,
which wouldn't necessarily be needed for Synchronet on Debian systems,
as sshd could just be installed from the Debian repository (if not
already installed) and a way found to use it with Synchronet.

  I've not looked at this in detail as yet, though. Especially what
would be needed to not use the cryptlib library in the build.



Jame

[1] https://github.com/jame/pkg-sbbs/issues/1
[2] http://rocasa.org/pkg-sbbs/index.html
[3] https://github.com/jame/sbbsdev/
[4] http://wiki.synchro.net/dev:dependencies






Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:14:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.